<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.salesUnitRequirement.home.title">salesUnitRequirement</span>
            </h5>
            <p-dataTable
                [value]="salesUnitRequirements"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRequirement"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <ul class="nav justify-content-end">
                        <li class="nav-item" [hidden]="requestType !== 102">
                            <a class="btn" [routerLink]="['/', { outlets: { popup: ['personal-customer-new'] } }]">
                                <span><i class="fa fa-user-plus"></i> &nbsp;{{ 'mpmApp.customerRequestItem.addPersonal' | translate }}</span>
                            </a>
                        </li>
                        <li class="nav-item" [hidden]="requestType === 102">
                            <a class="btn" [routerLink]="['/', { outlets: { popup: 'sales-unit-requirement-popup-new/' + idRequest } }]">
                                <span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span>
                            </a>
                        </li>
                    </ul>
                </p-header>
                <p-column header="{{'mpmApp.salesUnitRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Requirement Number">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.requirementNumber}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.saleType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.saleTypeDescription}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.color'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.colorDescription}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.product'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productName}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button"
                                [routerLink]="['/', { outlets: { popup: 'sales-unit-requirement/'+ rowData.idRequirement + '/popup-edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button 
                            pButton 
                            type="button"
                            class="flat-button"
                            icon="fa-times"
                            (click)="cancel(rowData);">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
